Subject: Re: bug#15859: 24.3.50; Calc - dimensionless units again

From: Roland Winkler <[email-masked]>
Date: Mon, 24 Apr 2023 22:44:26 -0500

On Fri, Apr 21 2023, Michael Heerdegen wrote:
> I found that u n (`calc-convert-exact-units') is exactly doing that.
> Maybe you are more fortunate with that command - or even used it in the
> past?

I did not know this command existed, and I haven't used it before.  I
find that this command follows a weird philosophy, and I am not
surprised that this command is only a recent addition to calc (absent in
the "old" calc-2.02f, which, I believe was the last version of calc
before this package became part of GNU Emacs).  I cannot help saying
that all these more recent changes to calc's handling of units were put
in place by someone without a practical day-to-day interest in the
subject.